ReadException (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.syntax

## Class ReadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.ReadException

- All Implemented Interfaces:
    java.io.Serializable, GroovyExceptionInterface

      public class ReadException
      extends GroovyException

  Encapsulates non-specific i/o exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadException(java.io.IOException cause)`
    `ReadException(java.lang.String message, java.io.IOException cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.IOException` | `getIOCause()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.codehaus.groovy.GroovyException

      `isFatal, setFatal`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadException

          public ReadException(java.io.IOException cause)

    - #### ReadException

          public ReadException(java.lang.String message,
                               java.io.IOException cause)

  - ### Method Detail

    - #### getIOCause

          public java.io.IOException getIOCause()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`